%global __brp_check_rpaths %{nil}
%global packname  fracdist
%global packver   0.1.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Numerical CDFs for Fractional Unit Root and Cointegration Tests

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 2.10
Requires:         R-core >= 2.10
BuildArch:        noarch

%description
Calculate numerical asymptotic distribution functions of likelihood ratio
statistics for fractional unit root tests and tests of cointegration rank.
For these distributions, the included functions calculate critical values
and P-values used in unit root tests, cointegration tests, and rank tests
in the Fractionally Cointegrated Vector Autoregression (FCVAR) model. The
functions implement procedures for tests described in the following
articles: Johansen, S. and M. Ø. Nielsen (2012) <doi:10.3982/ECTA9299>,
MacKinnon, J. G. and M. Ø. Nielsen (2014) <doi:10.1002/jae.2295>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
